<h1 mat-dialog-title>{{ name_action }} usuario</h1>
<p></p>
<form role="form" autocomplete="off" [formGroup]="clientForm">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Nombre" formControlName="name">
                    <mat-error *ngIf="name.errors && 
                    (name.touched || name.dirty)">
                        <div *ngIf="name.errors?.maxlength">
                            Solo se permiten 200 caracteres
                        </div>
                        <div *ngIf="name.errors?.validacion">
                            {{ name.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
        </div>
        <br>
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Email" formControlName="email">
                    <mat-error *ngIf="email.errors && 
                    (email.touched || email.dirty)">
                        <div *ngIf="email.errors?.maxlength">
                            Solo se permiten 200 caracteres
                        </div>
                        <div *ngIf="email.errors?.validacion">
                            {{ email.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
        </div>
        <br>
        <div class="row">
            <div class="col-sm-12">
                <mat-form-field class="example-full-width">
                    <input matInput [type]="showPasswordRep ? 'text' : 'password'" placeholder="Contraseña" formControlName="password" >
                    <mat-icon matSuffix (click)="showPasswordRep = !showPasswordRep">
                        <i class="material-icons">{{ showPasswordRep ? 'visibility_off' : 'visibility' }}</i>
                    </mat-icon>
                </mat-form-field>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-sm-12 col-12">
                <!-- <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Rol" formControlName="role_id">
                    <mat-error *ngIf="role_id.errors && 
                    (role_id.touched || role_id.dirty)">
                        <div *ngIf="role_id.errors?.maxlength">
                            Solo se permiten 100 caracteres
                        </div>
                        <div *ngIf="role_id.errors?.validacion">
                            {{ role_id.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field> -->
                <mat-form-field appearance="">
                    <mat-label>Rol</mat-label>
                    <mat-select formControlName="role_id">
                      <mat-option *ngFor="let rol of roles" [value]="rol.id">{{ rol.desciption }}</mat-option>
                    </mat-select>
                  </mat-form-field>
            </div>  
        </div>
        <br>
        <div mat-dialog-actions class="pull-right">
            <button type="submit" class="btn btn-primary btn-sm mat-button-base" mat-raised-button 
            (click)="save()">
                <span class="mat-button-wrapper"><i class="material-icons">save</i> Guardar</span>
            </button>
            <button class="btn btn-danger btn-sm mat-button-base" mat-raised-button 
            matDialogClose (click)="cancelar()">
                <span class="mat-button-wrapper"><i class="material-icons">close</i> Cancelar</span>
            </button>
        </div>
    </div>
</form>